<?php

require_once 'grouper-ui-php/federation/agent.inc';

$page['header'] = LBL_LOGIN;

if (!source_connect($ldap) || !$ldap['bind']) {
	$page['errors'][] = ERROR_SOURCE_CONNECT;
	return;
}

// Check if we're logged in already
if (!array_key_exists('user', $_SESSION)) {
	$result = NULL;
	try {
		$result = as_process($as);
	} catch (Exception $e) {
		$page['errors'][] = $e->getMessage();
	}
	if ($result !== NULL) {
		if ($uuid = $result['attributes']['espeeUid'][0]) {
			$attrs = source_profile($ldap, $uuid);
			if ($attrs !== FALSE) {
				// TODO: sanity check on mandatory/optional attributes
				$_SESSION['user'] = $attrs;
				$page['messages'][] = MESSAGE_AS_OK;
			} else {
				$page['errors'][] = ERROR_SOURCE_PROFILE;      	
				return;
			}
		} else {
			// TODO: warning about incorrect attributes
			$page['errors'][] = ERROR_SOURCE_PROFILE;      	
			return;
		}
	} else {
		$page['errors'][] = ERROR_AS_PROCESS;      	
		return;
	}
}

// Hereafter we're logged in!

// TODO: here??
if (isset($_SESSION['accept_uiid'])) $target = 'process';
else $target = 'teams';

header("location: $target");

?>
